.timeline {
  list-style: none;
  padding: 15px 0px 10px 0px;
  position: relative;
  margin-bottom: 0px;
}

.hdata-panel .hdata-box {
  margin-top: 15px;
}

.timeline:before {
  top: 0;
  bottom: 0;
  position: absolute;
  content: " ";
  width: 2px;
  background-color: #dcdcdc;
  left: 37px;
  margin-right: -1.5px;
}

.timeline>li {
  margin-bottom: 20px;
  position: relative;
}

.timeline>li:before,
.timeline>li:after {
  content: " ";
  display: table;
}

.timeline>li:after {
  clear: both;
}

.timeline-panel {
  width: calc( 100% - 56px);
  float: right;
  padding: 8px;
  background: #f2f2f2;
  position: relative;
}

.timeline-panel:before {
  position: absolute;
  top: 12px;
  left: -10px;
  display: inline-block;
  border-top: 10px solid transparent;
  border-right: 10px solid #f2f2f2;
  border-left: 0 solid #f2f2f2;
  border-bottom: 10px solid transparent;
  content: " ";
}

.timeline-panel:after {
  position: absolute;
  top: 12px;
  left: -10px;
  display: inline-block;
  border-top: 10px solid transparent;
  border-right: 10px solid #f2f2f2;
  border-left: 0 solid #f2f2f2;
  border-bottom: 10px solid transparent;
  content: " ";
}

.timeline>li>.timeline-badge {
  color: #fff;
  width: 13px;
  height: 13px;
  line-height: 50px;
  font-size: 1.4em;
  text-align: center;
  position: absolute;
  top: 16px;
  left: 31px;
  margin-right: -25px;
  background-color: #999999;
  z-index: 100;
  border-top-right-radius: 50%;
  border-top-left-radius: 50%;
  border-bottom-right-radius: 50%;
  border-bottom-left-radius: 50%;
}

.timeline-badge.primary {
  background-color: #2e6da4 !important;
}

.timeline-badge.success {
  background-color: #3eb67c !important;
}

.timeline-badge.warning {
  background-color: #f0ad4e !important;
}

.timeline-badge.danger {
  background-color: #ff3805 !important;
}

.timeline-badge.info {
  background-color: #5bc0de !important;
}

h4.timeline-title {
  font-family: "open sans", 'Arial', sans-serif;
  margin: 0px;
  font-weight: bold;
  text-align: left;
  color: #787878;
  font-size: 10px;
  padding: 5px
}

.timeline-body p {
  text-align: left;
  font-size: 10px;
  color: #787878;
  padding: 0 5px 5px 5px;
}

.timeline-date {
  position: absolute;
  top: 5px;
  left: 2px;
  font-size: 14px;
  color: #4b4b4b;
  text-align: center;
  font-weight: bold;
}

.timeline-month {
  font-weight: bold;
  font-size: 10px;
  color: #4b4b4b;
}

/*start button*/

.hdata-box::before {
  background: #3eb67c;
  padding: 6px 8px;
  border-radius: 50%;
  font-family: 'FontAwesome';
  color: #fff;
  content: "\f04b";
  position: relative;
  left: 25px;
  top: -3px;
  font-size: 12px;
}

.hdata-box::after {
  background: #fe4444;
  padding: 7px 9px;
  border-radius: 50%;
  font-family: 'FontAwesome';
  color: #fff;
  content: "\f04d";
  position: relative;
  left: 23px;
  top: -3px;
  font-size: 12px;
}

.mainlistcontainer {
  padding: 10px 0px 10px 0px;
  background-color: #fff;
  border-bottom-left-radius: 3px;
  border-top-left-radius: 3px;
  border-color: #e4eaec;
  border-radius: 2px;
  border-style: solid;
  border-width: 1px 1px 2px;
  cursor: pointer;
  box-shadow: 0.5px 0.866px 3px 0px rgba(0, 0, 0, 0.031);
}

.name {
  margin: 0px;
  font-size: 12px;
  color: #777;
}

.name-head {
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 5px;
  font-size: 11px;
}

.actions-panel {
  position: relative;
}

.chev-cust {
  position: absolute;
  top: 12px;
  right: 10px;
  padding: 5px;
}

.mainlistcontainer2 {
  background-color: #fff;
  border-bottom-left-radius: 3px;
  border-top-left-radius: 3px;
  border-color: #e4eaec;
  border-radius: 2px;
  border-style: solid;
  border-width: 1px 1px 2px;
  margin-top: 5px;
  cursor: pointer;
  display: none;
  padding: 0px 0px 0px 5px;
  box-shadow: 0.5px 0.866px 3px 0px rgba(0, 0, 0, 0.031);
}

.mainlistcontainer3 {
  background-color: #fff;
  padding: 5px 0px !important;
}

/*sub-timeline*/

.sub-timeline .timeline {
  list-style: none;
  padding: 5px 0px 0px 0px;
  position: relative;
  margin-bottom: 0px;
}

.sub-timeline .timeline:before {
  top: 0;
  bottom: 0;
  position: absolute;
  content: " ";
  width: 1px;
  background-color: #dcdcdc;
  left: 37px;
  margin-right: -1.5px;
}

.sub-timeline .timeline>li {
  margin-bottom: 5px;
  position: relative;
}

.sub-timeline .timeline>li:before,
.sub-timeline .timeline>li:after {
  content: " ";
  display: table;
}

.sub-timeline .timeline>li:after {
  clear: both;
}

.sub-timeline .timeline-panel {
  width: calc( 100% - 39px);
  float: right;
  padding: 0px !important;
  background: #ebebeb;
  position: relative;
  border-bottom: 1px solid #eee;
}

.sub-timeline .timeline-panel:before {
  position: absolute;
  top: 12px;
  left: -10px;
  display: inline-block;
  border: none !important;
  content: " ";
}

.sub-timeline .timeline-panel:after {
  position: absolute;
  top: 12px;
  left: -10px;
  display: inline-block;
  border: none !important;
  content: " ";
}

.sub-timeline .timeline>li>.timeline-badge {
  width: 11px;
  height: 11px;
  line-height: 50px;
  font-size: 1.4em;
  text-align: center;
  position: absolute;
  top: 16px;
  left: 32px;
  margin-right: -25px;
  background-color: #999999;
  z-index: 100;
  border-top-right-radius: 50%;
  border-top-left-radius: 50%;
  border-bottom-right-radius: 50%;
  border-bottom-left-radius: 50%;
}

.sub-timeline h4.timeline-title {
  font-family: "open sans", 'Arial', sans-serif;
  margin: 0px;
  font-weight: bold;
  text-align: left;
  color: #787878;
  font-size: 10px;
  padding: 5px
}

.sub-timeline .timeline-body p {
  text-align: left;
  font-size: 10px;
  color: #787878;
  padding: 0 5px 5px 5px;
}

.sub-timeline .timeline-date {
  position: absolute;
  top: 5px;
  left: 2px;
  font-size: 14px;
  color: #4b4b4b;
  text-align: center;
  font-weight: bold;
}

.sub-timeline .timeline-month {
  font-weight: bold;
  font-size: 10px;
  color: #4b4b4b;
}

.sub-timeline .name-head {
  text-transform: capitalize;
}

.name-sub-head {
  font-weight: bold;
  text-transform: capitalize;
  margin-bottom: 7px;
  font-size: 12px;
  color: #787878;
}

.sub-timeline .timeline>li:last-child {
  margin-bottom: 0px;
}

/*sub timeline badges*/

.sub-timeline .timeline-badge.primary {
  background-color: #2e6da4 !important;
}

.sub-timeline .timeline-badge.success {
  background-color: #3eb67c !important;
}

.sub-timeline .timeline-badge.warning {
  background-color: #f0ad4e !important;
}

.sub-timeline .timeline-badge.danger {
  background-color: #ff3805 !important;
}

.sub-timeline .timeline-badge.info {
  background-color: #5bc0de !important;
}

.btn-save-cust {
  border-radius: 0px;
  margin-left: 5px !important;
  padding: 2px 4px;
  font-size: 11.5px !important;
  border: 1px solid #ddd;
}

.btn-save-cust>i {
  font-size: 12px !important;
}

.sub-timeline .btn-save-cust {
  color: #777 !important;
}

.btn-save-cust:hover {
  color: #333 !important;
}